using System;
using System.Drawing;
using MonoTouch.Foundation;
using MonoTouch.UIKit;
using Infragistics;
using System.Collections.Generic;

namespace FixedScrolling_Orientation
{

	public partial class FixedScrolling_OrientationViewController : UIViewController
	{
		IGGridView gridView;
		IGGridViewDataSourceHelper dsh;

		public FixedScrolling_OrientationViewController () : base ("FixedScrolling_OrientationViewController", null)
		{
		}


		public override void ViewDidLoad ()
		{
			base.ViewDidLoad ();
			List<TestData> data = new List<TestData> ();
			for (int i = 0; i < 100; i++) {
				TestData td = new TestData () { Prop1 = i.ToString() };
				data.Add (td);

			}

			dsh = new IGGridViewDataSourceHelper ();
			dsh.FixedLeftColumns.Add (new IGGridViewColumnDefinition ("prop1"){Width=IGColumnWidth.CreateNumericColumnWidth(100), BackgroundColor = UIColor.Gray});
			dsh.FixedLeftColumns.Add (new IGGridViewColumnDefinition ("prop2"){Width=IGColumnWidth.CreateNumericColumnWidth(100), BackgroundColor = UIColor.Gray});
			dsh.FixedLeftColumns.Add (new IGGridViewColumnDefinition ("prop3"){Width=IGColumnWidth.CreateNumericColumnWidth(100), BackgroundColor = UIColor.Gray});

			dsh.Data = data.ToArray();

			gridView = new IGGridView (new RectangleF (0, 0, this.View.Frame.Size.Width, this.View.Frame.Size.Height), IGGridViewStyle.IGGridViewStyleDefault);
			gridView.AutoresizingMask = UIViewAutoresizing.FlexibleHeight | UIViewAutoresizing.FlexibleWidth;
			this.View.AddSubview(gridView);
			gridView.RowBackgroundColor = UIColor.White;
			gridView.ColumnWidth = IGColumnWidth.CreateNumericColumnWidth (200);

			gridView.DataSource = dsh;

		}
	}

	public class TestData :NSObject
	{
		[Export("prop1")]
		public string Prop1 {
			get;
			set;
		}
		[Export("prop2")]
		public string Prop2 {
				get{ return Prop1;}
		}
		[Export("prop3")]
		public string Prop3 {
				get{ return Prop1;}
		}
		[Export("prop4")]
		public string Prop4 {
				get{ return Prop1;}
		}
		[Export("prop5")]
		public string Prop5 {
				get{ return Prop1;}
		}
		[Export("prop6")]
		public string Prop6 {
				get{ return Prop1;}
		}
		[Export("prop7")]
		public string Prop7 {
				get{ return Prop1;}
		}
		[Export("prop8")]
		public string Prop8 {
				get{ return Prop1;}
		}
		[Export("prop9")]
		public string Prop9 {
				get{ return Prop1;}
		}
		[Export("prop10")]
		public string Prop10 {
				get{ return Prop1;}
		}
		[Export("prop11")]
		public string Prop11 {
				get{ return Prop1;}
		}
		[Export("prop12")]
		public string Prop12 {
				get{ return Prop1;}
		}
		[Export("prop13")]
		public string Prop13 {
				get{ return Prop1;}
		}
		[Export("prop14")]
		public string Prop14 {
				get{ return Prop1;}
		}

	}
}

